package net.minecraft.src;

import net.peyton.eagler.minecraft.EntityConstructor;

import java.util.Random;

public class MobSpawnerForest extends MobSpawnerBase {
	public MobSpawnerForest() {
		this.spawnableCreatureList = new EntityConstructor[]{EntitySheep::new, EntityPig::new, EntityChicken::new, EntityCow::new, EntityWolf::new};
	}

	public WorldGenerator getRandomWorldGenForTrees(Random var1) {
		return (WorldGenerator)(var1.nextInt(5) == 0 ? new WorldGenForest() : (var1.nextInt(3) == 0 ? new WorldGenBigTree() : new WorldGenTrees()));
	}
}
